Cupti: CUpti_ActivityOpenAccData Struct Reference

# CUpti_ActivityOpenAccData Struct Reference
[CUPTI Activity API]

The activity record for OpenACC data. More...

## Data Fields
uint64_t | bytes
uint32_t | cuContextId
uint32_t | cuDeviceId
uint32_t | cuProcessId
uint32_t | cuStreamId
uint32_t | cuThreadId
uint64_t | devicePtr
uint64_t | end
CUpti_OpenAccEventKind | eventKind
uint32_t | externalId
uint64_t | hostPtr
CUpti_ActivityKind | kind
uint32_t | pad1
uint64_t | start
uint32_t | threadId

## Detailed Description

(CUPTI_ACTIVITY_KIND_OPENACC_DATA).

## Field Documentation

uint64_t CUpti_ActivityOpenAccData::bytes

Number of bytes

uint32_t CUpti_ActivityOpenAccData::cuContextId

CUDA context id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccData::cuDeviceId

CUDA device id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccData::cuProcessId

The ID of the process where the OpenACC activity is executing.

uint32_t CUpti_ActivityOpenAccData::cuStreamId

CUDA stream id Valid only if deviceType is acc_device_nvidia.

uint32_t CUpti_ActivityOpenAccData::cuThreadId

The ID of the thread where the OpenACC activity is executing.

uint64_t CUpti_ActivityOpenAccData::devicePtr

Device pointer if available

uint64_t CUpti_ActivityOpenAccData::end

CUPTI end timestamp

CUpti_OpenAccEventKind CUpti_ActivityOpenAccData::eventKind

CUPTI OpenACC event kind (

See also:
  CUpti_OpenAccEventKind)

uint32_t CUpti_ActivityOpenAccData::externalId

The OpenACC correlation ID. Valid only if deviceType is acc_device_nvidia. If not 0, it uniquely identifies this record. It is identical to the externalId in the preceeding external correlation record of type CUPTI_EXTERNAL_CORRELATION_KIND_OPENACC.

uint64_t CUpti_ActivityOpenAccData::hostPtr

Host pointer if available

CUpti_ActivityKind CUpti_ActivityOpenAccData::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_OPENACC_DATA.

uint32_t CUpti_ActivityOpenAccData::pad1

Undefined. Reserved for internal use.

uint64_t CUpti_ActivityOpenAccData::start

CUPTI start timestamp

uint32_t CUpti_ActivityOpenAccData::threadId

ThreadId